Retrieve Authorisation Gateway URL (v2)

Allow customers to authorise with, and connect to, a provider, using Bud’s Bud Connect. Bud Connect is a UI component hosted by Bud that can be integrated into any mobile or web experience, and allows your customers to connect to and authorise with their chosen provider, allowing Bud to pull their account information using Bud's AISP license.

Using the different configuration options that can be set through the request body you can personalize the experience for your Customer. Please, refer to the documentation below for more information about the available configurations.

Use Bud’s Authorisation Gateway (Bud Connect) if you are not regulated as an AISP in order to connect your customers to their banks to share account information. You may still choose to use Bud Connect in order to give the customer a slick account connection experience or to speed up your technical build and integration, even if you are a regulated AISP yourself.

The status of the authorisation step will be provided to you as a path parameter within the redirect_url specified within the request payload. This redirect_url is where your customer will be redirected to once they have either failed, or successfully completed, the authorisation process with their provider.

The URL generated with this endpoint is valid for up to 30 minutes. We suggest to generate the URL right before redirecting your Customer to it.

Please note that in order to recieve status updates on a given account connection task, you will need to configure your Callback URL within the developer console. Once the entire connection process has been completed and the customer's account information is ready to be collected, Bud will send a request to your callback URL.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≤ 2083

URL where the user will be redirected to once they have completed the TPP Connection flow. This can be a web based URL or a mobile application internal URL.

providers
array of strings | null

Specify a list of one or more providers that will be displayed to the customer during the connection flow. If only a single provider is given, the customer will no longer be shown the select provider screen.

Note, that these must match the provider_id returned by the Retrieve OB Providers endpoint.

providers
provider_types
array of strings

One or more provider types that can be used to filter the list of providers that are shown to the customer during the connection flow. If no filter is applied, all types of provider are returned. Note that on Bud's sandbox environment, only sandbox providers will be returned.

Provider Types
boolean | null

When enabled, the customer will see an additional button at the end of the connection flow that allows them to start the connection flow again in order to connect to a new provider.

boolean | null

When enabled, the customer will be shown a summary screen at the endpoint of the flow that lists the names and balances of all of the accounts that the customer has active consents for (including those connected in previous sessions).

string | null
enum

The first screen that the customer will be shown. When value is 'accounts_summary' the customer will see a list of the names and balances of the accounts that the customer currently has active consents for. When value is 'connect_accounts', the customer will see a list of providers to connect their accounts with. By default this value is 'connect_accounts'. When the value is 'download_data', the customer can download their data in a JSON file. When the value is 'reconfirm_consent', the customer will be taken through the reconfirmation of consent journey. If the customer only has one consent they will skip the consent selection screen. When the value is 'revoke_consent', the customer can revoke consent for accounts they have previously connected.

Allowed:
boolean | null
deprecated

This body parameter has been deprecated. Please use the initial_screen option reconfirm_consent. When enabled, the customer will be taken through the reconfirmation of consent journey. If the customer only has one consent they will skip the consent selection screen. Once they select the option to renew their consent, Bud will either extend the consent expiry date by 90 days from today's date or (if required) send the customer to the provider to go through Strong Customer Authentication (SCA) before updating the consent expiry date.

boolean | null

When enabled, once a customer has reconfirmed consent they will be redirected back to the client redirect_url bypassing the account summary screen. This should be used if you don’t want your customers to see the Bud account summary screen.

boolean | null

When enabled, once the consent authorisation has completed, the customer will be moved on in the flow. The data is then fetched and enriched in the background, instead of the customer waiting on a loading spinner

boolean | null

When enabled, once the customer has completed the connect flow, they will be redirected back to the client redirect_url bypassing the success screen. This should be used if you don’t want your customers to see the Bud success screen.

string

When provided, an email will be delivered to the customer with a URL for managing their consents with you.

This allows the customer to separately view, revoke and reconfirm consents for accounts that they have agreed to share with you, as well as download the financial data for their own records.

Use this option if your application does not already provide a means for customers to manage their financial data consents.

Note: for some clients, we enforce that customers have access to this consent management feature. In this case, even if customer_email is not provided, the customer will be prompted at the start of the Connect flow to provide their email address, so that the URL will still be delivered to them.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

A unique identifier for a Customer, as registered on Bud's platform.

string

Use the internal client identifier, provided in the client_metadata object when creating the customer in Create Customer V3, in place of an X-Customer-Id header.

string

The Bud Customer secret used to encrypt customer data. This is required only if the customer secret is not already stored with Bud.

Responses

401

An unauthorised request was received.

405

The request uses an unexpected HTTP method.

422

Unprocessable request (e.g. requested providers are in maintenance)

5XX

An unexpected error occurred on the server side.

Callbacks
Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json